/// Provides the core library.
library ngx_core;

import 'dart:async';
import 'dart:collection';
import 'dart:html';
import 'package:angular/angular.dart';
import 'js_interop.dart' as js;

part 'src/di.dart';
part 'src/directives/page_title.dart';
part 'src/pipes/encode_uri_pipe.dart';
part 'src/pipes/nl2br_pipe.dart';
part 'src/services/application.dart';
part 'src/services/configuration.dart';
part 'src/services/document_ref.dart';
part 'src/services/meta.dart';

/// The module directives.
const List coreDirectives = const [PageTitle];

/// The module pipes.
const List corePipes = const [EncodeUriPipe, Nl2brPipe];

/// The module providers.
const List coreProviders = const [
  configProvider,
  envProvider,
  windowProvider,
  Application,
  Configuration,
  DocumentRef,
  Meta
];
