part of ngx_core;

/// Sets the page title.
@Directive(selector: '[pageTitle]')
class PageTitle {

  /// The application properties.
  final Application _app;

  /// The current HTML document.
  final HtmlDocument _document;

  /// The underlying HTML element.
  final Element _element;

  /// Creates a new `pageTitle` directive.
  PageTitle(this._app, @Inject(DOCUMENT) this._document, this._element);

  /// The text of the page title.
  String get text => _document.title;

  @Input('pageTitle')
  set text(String value) {
    var title = value.isNotEmpty ? value : _element.text.trim().replaceAll(new RegExp(r'\s+'), ' ');
    _document.title = title.isNotEmpty ? '$title – ${_app.name}' : _app.name;
  }
}
